<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>Nummerreeks App | ~%header%</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script src="/static/js/bcd.edit.storage.js"></script>
	<script>
		const BASE_PATH = "~%basePath%";
		const MODEL_BEAN = ~%modelBean%;
		const SEARCH_REQUEST = "~%js:searchRequest%";
		const PERMISSION = '~%permission%';

		function closeWindow() {
			showListPage();
		}
	</script>
</head>
<body>

~%%include:navbar:/html/include/navbar.html%
~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>~%header%</h1>

<div class="center-screen" >
	<div class="small-input-container">
		<form id="form0" method="post" enctype="multipart/form-data" action="~%basePath%upload">
			<input type="hidden" name="storageLocationId" value="~%storageLocationId%">
			<table id="input-container">
				<tr>
					<td class="left-col"><label for="topDeskId">TOPdesk nummer</label></td>
					<td class="right-col">
						<input id="topDeskId" name="topDeskId" value="~%topDeskId%">
					</td>
				</tr>
				<tr>
					<td class="left-col"><label for="requesterId">Aanvrager</label></td>
					<td class="right-col">
						<select id="requesterId" name="requesterId">~%requesterOptions%</select>
						<span class="inactive-warning">Deze aanvrager is niet meer actief</span>
					</td>
				</tr>
				<tr>
					<td class="left-col" style="vertical-align:middle;"><label for="fileChooser">Bestand</label></td>
					<td class="right-col">
						<div class="custom-file">
							<input type="file" accept="text/csv" name="file" class="custom-file-input" id="fileChooser">
							<label class="custom-file-label" for="fileChooser">~%fileName%</label>
						</div>
					</td>
				</tr>			
				<tr>
					<td class="left-col"><label for="prefixSegmentCount">Aantal prefix-segmenten</label></td>
					<td
						class="right-col"
						data-toggle="tooltip"
						title="Het aantal prefix-segmenten in de label-tekst. Dit zijn de, door een punt gescheiden, segmenten aan het begin v.d. label tekst die geen onderdeel zijn v.d. voornaamste locatie-aanduiding, die groot wordt afgedrukt op het label etiket.">
						<input id="prefixSegmentCount" class="number-input" name="prefixSegmentCount" value="~%prefixSegmentCount%">
					</td>
				</tr>
				~%%begin:prefixDisplay%
				<tr>
					<td class="left-col">Prefix(es)</td>
					<td class="right-col">
						~%prefixes%
					</td>
				</tr>
				~%%end:prefixDisplay%
				<tr>
					<td class="left-col"><label for="comments">Opmerkingen</label></td>
					<td class="right-col">
						<textarea id="comments" name="comments" maxlength="5000" rows="5" cols="50">~%comments%</textarea>
					</td>
				</tr>
				~%%begin:labelDisplay%
				<tr>
					<td class="left-col">Labels</td>
					<td class="right-col">
						<div id="storage-label-display">
						<table class="plain-table">
						~%%begin:labels%
							<tr>
								<td class="plain-cell-left">~%coarseGrainedLocation%</td>
								<td class="plain-cell-right">~%fineGrainedLocation%</td>
							</tr>
						~%%end:labels%
						</table>
						</div>
					</td>
				</tr>
				~%%end:labelDisplay%
			</table>
				
			<div style="padding:20px 0 5px 0;text-align:center;">
				<button class="btn btn-outline-primary" type="button" onclick="prepareSaveOrUpdate();">
					Opslaan
				</button>
				~%%begin:extraActionButtons%
				<button
					id="delete-button"
					class="btn btn-outline-primary"
					type="button"
					onclick="deleteRecord('~%js:fileName%',~%storageLocationId%);"
				>
					Verwijderen
				</button>
				<button
					id="lock-button"
					class="btn btn-outline-primary"
					type="button"
					onclick="lockStorageLocation(~%storageLocationId%)"
				>
					Vergrendelen
				</button>					
				~%%end:extraActionButtons%
				<button class="btn btn-outline-primary" type="button" onclick="window.location.reload()">
					Terugzetten
				</button>
				<button class="btn btn-outline-primary" type="button" onclick="showListPage()">
					Sluiten
				</button>
			</div>
		</form>		
	</div>
</div>

~%%include:bsDialog:/html/include/BSDialog.html%
	
<script>	
$('document').ready(function() {

	initEditPage();	
	
	$(".custom-file-input").on("change", function() {
		const fileName = $(this).val().split("\\").pop();
		$(this).siblings(".custom-file-label").addClass("selected").html(fileName);
	});
	
	const x = $("select[name='requesterId']").outerWidth();	
	$("input[name='topDeskId']").outerWidth(x);
	$("input[name='prefixes']").outerWidth(x);
	
	$("select[name=requesterId]").val("~%requesterId%");
	
	
});
</script>

</body>
</html>